#ifndef SCOLUMN_H
#define SCOLUMN_H

#include <QVector>
#include <QStringList>

class SColumn
{
public:
    enum E_COLUMN
    {
        E_DATABASE=0,
        E_NAME,
        E_DATE,
        E_COUNT,
    };
public:
    SColumn();
    ~SColumn();
    bool reload();
    bool isUse(){return m_bUse;}
    bool isDateColumn(int _nColumn) {return (_nColumn == m_nDateColumn);}
    QVector <QStringList> data() { return m_vecColumn; }
    int getDateColumn() { return m_nDateColumn;}
    int getColumnIndex(QString _str);
private:
    QVector <QStringList> m_vecColumn;
    bool m_bUse;
    int m_nDateColumn;
};

#endif // SCOLUMN_H
